%define name xmms-jack
%define version 0.13
%define release 1mdk
%define jackversion 0.34.0

Summary: Xmms output plugin for the jack sound server
Name: %{name}
Version: %{version}
Epoch: 1
Release: %{release}
Source0: http://prdownloads.sourceforge.net/xmms-jack/%{name}-%{version}.tar.bz2
Patch: xmms-jack-0.13-bmp.patch.bz2
URL: http://sourceforge.net/projects/xmms-jack
License: GPL
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libxmms-devel
BuildRequires: libjack-devel >= %jackversion
Requires: jackit  >= %jackversion
Requires: xmms

%description

XMMS audio output plugin for the jack audio
server(http://jackit.sourceforge.net).

%package -n beep-media-player-jack
Group: Sound
Summary: Beep-media-player output plugin for the jack sound server
BuildRequires: libbeep-media-player-devel

%description -n beep-media-player-jack
Beep-media-player audio output plugin for the jack audio
server(http://jackit.sourceforge.net).

%prep
%setup -q -n %name
%patch -p1 -b .bmp
rm -f config.cache

%build
%configure2_5x
%make
mv .libs/libjackout.so libxmmsjackout.so
make -f Makefile.BMP clean
%make -f Makefile.BMP


%install
rm -rf $RPM_BUILD_ROOT
install -m 755 -D libxmmsjackout.so %buildroot%_libdir/xmms/Output/libjackout.so
install -m 755 -D libjackout.so %buildroot%_libdir/bmp/Output/libjackout.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README NEWS AUTHORS ChangeLog
%_libdir/xmms/Output/libjackout.so

%files -n beep-media-player-jack
%defattr(-,root,root)
%doc README
%_libdir/bmp/Output/libjackout.so

%changelog
* Sun Apr 10 2005 Gtz Waschk <waschk@linux-mandrake.com> 1:0.13-1mdk
- enable beep-media-player support
- New release 0.13

* Sat Mar 26 2005 Götz Waschk <waschk@linux-mandrake.com> 0.12-1mdk
- New release 0.12

* Tue Nov 30 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.11-1mdk
- New release 0.11

* Mon Sep 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.10-1mdk
- add source URL
- reenable libtoolize
- New release 0.10

* Fri Apr  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9-1mdk
- new version

* Wed Feb 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-2mdk
- fix the changelog

* Wed Feb 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-1mdk
- new version

* Sat Feb 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-1mdk
- new version

* Tue Jan 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.7-1mdk
- 0.7

* Tue Dec  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6-1mdk
- new versionning schema
- new version

* Tue Nov 25 2003 Gtz Waschk <waschk@linux-mandrake.com> 20031124-1mdk
- drop prefix tag
- fix buildrequires
- don't libtoolize
- autoconf 2.5 macro
- new version

* Mon Jan 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 20030111-1mdk
- remove patch
- new version

* Thu Jan  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 20030107-2mdk
- arrgh, it's jackit, not jack on MDK

* Thu Jan  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 20030107-1mdk
- initial package
